Loading...
Searching...
No Matches
aminoacid_base.hpp File Reference

Provides seqan3::aminoacid_base. More...

`#include <seqan3/alphabet/alphabet_base.hpp>`
`#include <seqan3/alphabet/aminoacid/concept.hpp>`
`#include <seqan3/alphabet/detail/concept.hpp>`
`#include <seqan3/alphabet/detail/convert.hpp>`
`#include <seqan3/utility/char_operations/transform.hpp>`
Include dependency graph for aminoacid_base.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::aminoacid_base< derived_type, size >
| A CRTP-base that refines seqan3::alphabet_base and is used by the amino acids. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides seqan3::aminoacid_base.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me